Organizations

Create a new organization

post
Authorizations
Body
namestringRequiredExample: My Organization
countryCodestringRequiredExample: US
Responses
post
/api/organizations
201

Organization created

No content

Get an organization by ID

get
Authorizations
Path parameters
organizationIdstring · uuidRequired

The organization ID

Responses
chevron-right
200

Organization found

application/json

Organization details

idstring · uuidRequired

Unique identifier for the organization

Example: 123e4567-e89b-12d3-a456-426614174000
namestringRequired

The name of the organization

Example: My Organization
avatarUrlstring · url · nullableOptional

URL of the organization's avatar

Example: https://example.com/avatar.png
statusstringRequired

The current status of the organization

Example: active
typestringOptional

The current status of the organization

Example: active
ownerstring · idRequired

UUID of the user who owns the organization

Example: 123e4567-e89b-12d3-a456-426614174000
get
/api/organizations/{organizationId}
200

Organization found

Update an organization's details

patch
Authorizations
Path parameters
organizationIdstring · uuidRequired

The organization ID

Body
namestringOptionalExample: Updated Organization Name
avatarUrlstringOptionalExample: https://example.com/avatar.jpg
statusstring · enumOptionalExample: activePossible values:
statusReasonstringOptionalExample: Violation of terms
Responses
chevron-right
200

Organization updated

application/json

Organization details

idstring · uuidRequired

Unique identifier for the organization

Example: 123e4567-e89b-12d3-a456-426614174000
namestringRequired

The name of the organization

Example: My Organization
avatarUrlstring · url · nullableOptional

URL of the organization's avatar

Example: https://example.com/avatar.png
statusstringRequired

The current status of the organization

Example: active
typestringOptional

The current status of the organization

Example: active
ownerstring · idRequired

UUID of the user who owns the organization

Example: 123e4567-e89b-12d3-a456-426614174000
patch
/api/organizations/{organizationId}
200

Organization updated

Upload media for an organization

post
Authorizations
Path parameters
organizationstring · uuidRequired

Organization UUID

Body
filefileOptional

File to be uploaded

Responses
chevron-right
200

File uploaded successfully

No content

post
/api/organizations/{organization}/upload-avatar
200

File uploaded successfully

No content

Get all members of an organization with pagination

get
Authorizations
Path parameters
organizationIdstringRequired

ID of the organization

Query parameters
pageintegerOptional

Page number for pagination

Default: 1
per_pageintegerOptional

Number of members per page

Default: 15
Responses
chevron-right
200

List of organization members

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: All Organization Members
get
/api/organizations/{organizationId}/members

Update a member's roles and workspaces in an organization

put
Authorizations
Path parameters
organizationIdstring · uuidRequired

ID of the organization

memberIdintegerRequired

ID of the member to be updated

Body
workspacesstring · uuid[]Required

Array of workspace IDs

rolesinteger[]Required

Array of IAM role IDs

Responses
chevron-right
200

Member updated successfully

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Member update
dataobjectOptional
put
/api/organizations/{organizationId}/members/{memberId}

Delete a member from an organization

delete
Authorizations
Path parameters
organizationIdstringRequired

ID of the organization

memberIdintegerRequired

ID of the member to be deleted

Responses
chevron-right
200

Member deleted successfully

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Member deleted successfully
delete
/api/organizations/{organizationId}/members/{memberId}

Charge an organization's wallet

post
Authorizations
Path parameters
organizationstring · uuidRequired

Organization UUID

Body
amountintegerRequired

Amount to charge

Example: 1000
servicestring · enumRequired

Service type

Example: smsPossible values:
sms_pointintegerOptional

Required when service is 'sms'. Number of SMS points

Example: 100
reasonstringOptional

Optional reason for the charge

Example: Monthly SMS package
Responses
chevron-right
200

Charge processed successfully

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Charge processed successfully
datanullOptional
post
/api/admin/organizations/{organization}/charge

Invite a new user to the organization

post
Authorizations
Path parameters
organizationIdstringRequired

ID of the organization to invite the user to

Body
emailstringOptionalExample: [email protected]
namestringOptionalExample: John Doe
rolesinteger[]OptionalExample: 1
Responses
chevron-right
200

Invitation sent successfully.

No content

post
/api/organizations/{organizationId}/invite

No content

Accept the invitation and set the password

post
Path parameters
inviteTokenstringRequired

Invite token sent to the user

Body
passwordstringOptionalExample: password123
password_confirmationstringOptionalExample: password123
Responses
chevron-right
200

Password set successfully.

No content

post
/api/organizations/invite/{inviteToken}/accept

No content

Last updated